Subject: [amos-list] Re: TCP commands.
From: Andrew Crowe <[email-masked]>
To: [email-masked]
Date: Sun, 08 Aug 1999 09:59:51 +0000

From: Andrew Crowe <[email-masked]>

Hi Everybody,

>>   Um, err, what is it? I'm afraid I haven't come across this thingy before
>
> Go into miami's interface, under interface and look at the inetd entries. You
> could pick a port for your game, then set up a command to run it followed by
> the port data parameters.

   Well, I don't use Miami, I use AmiTCP Genesis. I'd better check it has it...

Ah yes, here we go. I've got a section in the prefs and an exe. Lets see If I can work out how to use it. Well I can't understand all that in the prefs, lets try running it:

11.Workbench:> inetd ?
SERVPRI/K/N,TOOMANY/K/N,DEBUG/S,CONFIGFILE: 
inetd: already exists

   Um, hmmm, err, what does that mean?

So, could I run this from my amos program, like say Exec "Inetd blah blah blah" or would the user have to set all that up manualy if he wanted to host a game?

Also, is the Inetd system used in Miami and genesis different? Would I need two routines to handel each?

>> Well, anyhow, if you do get it running, if you could send me some example
>> networking code please? :)
> 
> Will do. bug me occasionally. I've got a fair bit of time this week (um,
> actually its disappearing rapidly) to get started on it.

   Well, the only incentive I have is that the sooner you can do that, the sooner /I/ can add TCP support to JamesBond (thats, if you like JB that is...)

   Anyway, cheers ;)

>>   Oh no, I can't run it in GUI mode, it uses too much interupt stuff. I have
>> the multitasker patcher though, it removes the switcher code. But could I run
>> multiple copies to test it? Would it work if all copies were on my machine?
>> (hmmm, perhaps I don't need my other A1200 after all....)
> 
> Depends on whether you want multiple users logging in. I think you can set
> inetd to only spawn 1 process.

   Ah good, I have a funny feeling it would be a lot easer having 4 seperate ports for the different players.

See ya.
-- 
       Manta Soft  -  Amiga programing & web page designing
     Http://members.tripod.com/~mantasoft/      ICQ: 21829166        
 Homepage updated 5/8/99 --- James Bond on GFX Card & CPU players!
  - ------------------- Quote of the day: -------------------- -
Crocodile Dundee (1986) cost $(AUS)8,900,000 to make, and grossed over
$(US)375,000,000 - making it the most successful non-American film of all time.
--The Miscellanea Digest

--------------------------- ONElist Sponsor ----------------------------

Congratulations COUNTRYSIDE-ELIST. Our latest ONElist of the week.
For full story and to submit yours, 
<a href=" http://www.onelist.com/info/ootw_20.html ">Click Here</A>

------------------------------------------------------------------------
Official AMOS WWW: http://members.xoom.com/AmosFactory/front.html